-- CourseplayAutoInstallation
-- Script to install Courseplay Spec to all steerables in the game
--
-- @ Autor  Tobias F. (John Deere 6930)
-- @ Last Edit  19/01/2011

CourseplayAutoInstallation = {};

function CourseplayAutoInstallation:loadMap(name)
	self.insertCourseplay = true;
end;

function CourseplayAutoInstallation:deleteMap()
end;

function CourseplayAutoInstallation:mouseEvent(posX, posY, isDown, isUp, button)
end;

function CourseplayAutoInstallation:keyEvent(unicode, sym, modifier, isDown)
end;	

function CourseplayAutoInstallation:update(dt)
	if self.insertCourseplay then
		for _,vehicle in pairs(g_currentMission.vehicles) do
			if not SpecializationUtil.hasSpecialization(courseplay, vehicle.specializations) and SpecializationUtil.hasSpecialization(Steerable, vehicle.specializations) then
				table.insert(vehicle.specializations, courseplay);
				-- redo the load part of courseplay
				local xmlFile = loadXMLFile("TempConfig", vehicle.configFileName);
				courseplay.load(vehicle, xmlFile);
				delete(xmlFile);
				print("Added Specialization Courseplay to: \n    "..vehicle.configFileName);
			end;
		end;
		self.insertCourseplay = false;
	end;
end;

function CourseplayAutoInstallation:updateTick(dt)
end;

function CourseplayAutoInstallation:draw()
end;
addModEventListener(CourseplayAutoInstallation);